import 'package:flutter/material.dart';
import 'package:test_sa/extensions/int_extensions.dart';
import 'package:test_sa/new_views/app_style/app_color.dart';
import 'package:test_sa/views/app_style/sizing.dart';

class UploadingDialog extends StatelessWidget {
  const UploadingDialog({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Center(
      child: Container(
        height: 150.toScreenWidth,
        width: 200.toScreenWidth,
        alignment: Alignment.center,
        padding: const EdgeInsets.all(8),
        decoration: BoxDecoration(
          color: AppColor.neutral30,
          borderRadius: BorderRadius.circular(20.0),
          boxShadow: [AppStyle.boxShadow],
        ),
        child: Column(
          mainAxisSize: MainAxisSize.min,
          children: [
            CircularProgressIndicator(strokeWidth: 3),
            16.height,
            Text(
              "Uploading...",
              style: TextStyle(fontSize: 16, fontWeight: FontWeight.w500, color: AppColor.textColor(context), height: 35 / 24, letterSpacing: -0.96),
            )
          ],
        ),
      ),
    );
  }
}
